Bug 865979 - Review Request: sigrok-cli - command-line interface to sigrok libraries
Review Request: sigrok-cli - command-line interface to sigrok libraries
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: T.C. Hollingsworth
Fedora Extras Quality Assurance
:
Depends On: 865976 865977
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 21:37 EDT by Alex G.
Modified: 2013-05-16 23:30 EDT (History)
3 users (show)

See Also:
Fixed In Version: sigrok-cli-0.3.1-3.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-16 23:26:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tchollingsworth: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alex G. 2012-10-12 21:37:59 EDT
Spec URL: http://g-tech.no-ip.org/~mrnuke/SPECS/sigrok-cli.spec
SRPM URL: http://g-tech.no-ip.org/~mrnuke/SRPMS/sigrok-cli-0.3.1-1.fc17.src.rpm
Description: 
sigrok-cli is a command-line tool written in C, which uses both libsigrok and
libsigrokdecode to provide the basic sigrok functionality from the
command-line. Among other things, it's useful for scripting purposes.

Fedora Account System Username: mrnuke

Because this package depends on two libraries which are still under review, there is no Koji build for this package.

Since this is part of my first set of packages, I will also be needing a sponsor.
Comment 1 Alex G. 2013-03-30 11:59:00 EDT
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5189533
Comment 3 T.C. Hollingsworth 2013-05-06 15:00:11 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

Status: NEEDS WORK

===== Issues ====

[!]: A LICENSE file is shipped in the upstream tarball, but not included with
     the package.
     
     Please add this file to %doc.

[!]: Empty %post and %postun sections are included in the spec file.

     Please remove these useless, empty sections.
     
===== Things to Consider ====

[ ]: This package ships additional documentation that is not included in %doc.

     Please consider adding the ChangeLog, README, and NEWS files to %doc.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "GPL (v3 or later)". 2 files have unknown license.
     Detailed output of licensecheck in
     /home/fedora/patches/FedoraReview/865979-sigrok-cli/licensecheck.txt     
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[!]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: sigrok-cli-0.3.1-2.fc20.x86_64.rpm
          sigrok-cli-debuginfo-0.3.1-2.fc20.x86_64.rpm
          sigrok-cli-0.3.1-2.fc20.src.rpm
sigrok-cli.x86_64: W: spelling-error %description -l en_US libsigrok 
sigrok-cli.x86_64: W: spelling-error %description -l en_US libsigrokdecode 
sigrok-cli.x86_64: W: empty-%post
sigrok-cli.x86_64: W: empty-%postun
sigrok-cli.src: W: spelling-error %description -l en_US libsigrok 
sigrok-cli.src: W: spelling-error %description -l en_US libsigrokdecode 
3 packages and 0 specfiles checked; 0 errors, 6 warnings.

Please remove the useless empty %post and %postun sections.


Rpmlint (installed packages)
----------------------------
# rpmlint sigrok-cli sigrok-cli-debuginfo
sigrok-cli.x86_64: W: spelling-error %description -l en_US libsigrok 
sigrok-cli.x86_64: W: spelling-error %description -l en_US libsigrokdecode 
sigrok-cli.x86_64: W: empty-%post
sigrok-cli.x86_64: W: empty-%postun
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'

See above.

Requires
--------
sigrok-cli-0.3.1-2.fc20.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    libc.so.6()(64bit)
    libglib-2.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libsigrok.so.0()(64bit)
    libsigrokdecode.so.0()(64bit)
    rtld(GNU_HASH)

sigrok-cli-debuginfo-0.3.1-2.fc20.x86_64.rpm (rpmlib, GLIBC filtered):
    
OK

Provides
--------
sigrok-cli-0.3.1-2.fc20.x86_64.rpm:
    
    sigrok-cli = 0.3.1-2.fc20
    sigrok-cli(x86-64) = 0.3.1-2.fc20

sigrok-cli-debuginfo-0.3.1-2.fc20.x86_64.rpm:
    
    sigrok-cli-debuginfo = 0.3.1-2.fc20
    sigrok-cli-debuginfo(x86-64) = 0.3.1-2.fc20

OK

Generated by fedora-review 0.3.1 (f4bc12d) last change: 2012-10-16
Buildroot used: fedora-rawhide-vanilla-x86_64
Command line :./try-fedora-review -b865979
Comment 5 T.C. Hollingsworth 2013-05-06 18:39:17 EDT
This package is APPROVED.
Comment 6 Alex G. 2013-05-06 18:41:11 EDT
New Package SCM Request
=======================
Package Name: sigrok-cli
Short Description: command-line interface to sigrok libraries
Owners: mrnuke
Branches: f18 f19
InitialCC: mrnuke
Comment 7 Jon Ciesla 2013-05-07 09:08:12 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-05-07 13:24:51 EDT
sigrok-cli-0.3.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sigrok-cli-0.3.1-3.fc18
Comment 9 Fedora Update System 2013-05-07 16:38:18 EDT
sigrok-cli-0.4.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sigrok-cli-0.4.0-1.fc18
Comment 10 Fedora Update System 2013-05-09 06:08:15 EDT
sigrok-cli-0.3.1-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Fedora Update System 2013-05-16 23:26:58 EDT
sigrok-cli-0.4.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-05-16 23:30:47 EDT
sigrok-cli-0.3.1-3.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.